{
  "name": "remix-template-cloudflare-workers",
  "private": true,
  "description": "",
  "license": "",
  "sideEffects": false,
  "main": "build/index.js",
  "scripts": {
    "build:css": "tailwindcss -m -i ./styles/app.css -o app/styles/app.css",
    "build": "npm run typecheck && npm run build:css && remix build",
    "deploy": "npm run build && wrangler publish",
    "dev:remix": "remix watch",
    "dev:css": "tailwindcss -w -i ./styles/app.css -o app/styles/app.css",
    "dev:miniflare": "cross-env NODE_ENV=development miniflare ./build/index.js --live-reload",
    "dev": "npm run typecheck && run-p dev:*",
    "start": "cross-env NODE_ENV=production miniflare ./build/index.js",
    "storybook": "start-storybook -p 6006",
    "build-storybook": "build-storybook",
    "typecheck": "tsc -b"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^6.2.1",
    "@fortawesome/free-brands-svg-icons": "^6.2.1",
    "@fortawesome/react-fontawesome": "^0.1.19",
    "@remix-run/cloudflare": "^1.4.1",
    "@remix-run/cloudflare-workers": "^1.11.1",
    "@remix-run/react": "^1.11.1",
    "cross-env": "^7.0.3",
    "react": "^17.0.2",
    "react-dom": "^17.0.2"
  },
  "devDependencies": {
    "@babel/core": "^7.20.12",
    "@cloudflare/workers-types": "^3.19.0",
    "@remix-run/dev": "^1.11.1",
    "@remix-run/eslint-config": "^1.11.1",
    "@storybook/addon-actions": "^6.4.22",
    "@storybook/addon-essentials": "^6.5.15",
    "@storybook/addon-interactions": "^6.5.15",
    "@storybook/addon-links": "^6.5.15",
    "@storybook/react": "^6.5.15",
    "@storybook/testing-library": "^0.0.11",
    "@types/react": "^17.0.53",
    "@types/react-dom": "^17.0.18",
    "autoprefixer": "^10.4.13",
    "babel-loader": "^8.3.0",
    "eslint": "^8.32.0",
    "miniflare": "^2.1.0",
    "npm-run-all": "^4.1.5",
    "postcss": "^8.4.21",
    "prettier": "^2.8.3",
    "prettier-plugin-tailwindcss": "^0.1.13",
    "react-docgen-typescript": "^2.2.2",
    "tailwindcss": "^3.2.4",
    "typescript": "^4.9.4",
    "wrangler": "^2.8.1"
  },
  "engines": {
    "node": ">=14"
  }
}
